NAME="docbook-xsl-nons"
DESC="XSLT 1.0 Stylesheets for DocBook"
VERSION="1.79.2m1"
FILES=(
  "https://github.com/docbook/xslt10-stylesheets/releases/download/release/${VERSION%m*}/docbook-xsl-nons-${VERSION%m*}.tar.bz2"
  "https://github.com/docbook/xslt10-stylesheets/releases/download/release/${VERSION%m*}/docbook-xsl-doc-${VERSION%m*}.tar.bz2"
  "docbook-xsl-nons-${VERSION%m*}-stack_fix-1.patch"
)
HASHES=(
  "2666d1488d6ced1551d15f31d7ed8c38"
  "62375ca864fc198cb2b17d98209d0b8c"
  "a92c39715c54949ba9369add1809527b8f155b7e2a2b2e30cb4b39ee715f2e30"
)
DEPENDS=("libxml2" "docbook-xml")

PACKAGE() {
  tar xf "${NAME}-${VERSION%m*}.tar.bz2"
  cd "${NAME}-${VERSION%m*}"

  patch -Np1 -i "../docbook-xsl-nons-${VERSION%m*}-stack_fix-1.patch"
  tar -xf "../docbook-xsl-doc-${VERSION%m*}.tar.bz2" --strip-components=1

  install -v -m755 -d "${ROOTDIR}/usr/share/xml/docbook/xsl-stylesheets-nons-${VERSION%m*}"
  cp -v -R VERSION assembly common eclipse epub epub3 extensions fo      \
         highlighting html htmlhelp images javahelp lib manpages params  \
         profiling roundtrip slides template tests tools webhelp website \
         xhtml xhtml-1_1 xhtml5                                          \
         "${ROOTDIR}/usr/share/xml/docbook/xsl-stylesheets-nons-${VERSION%m*}"
  ln -s VERSION "${ROOTDIR}/usr/share/xml/docbook/xsl-stylesheets-nons-${VERSION%m*}/VERSION.xsl"
  install -v -m644 -D README \
                      "${ROOTDIR}/usr/share/doc/docbook-xsl-nons-${VERSION%m*}/README.txt"
  install -v -m644 RELEASE-NOTES* NEWS* \
                   "${ROOTDIR}/usr/share/doc/docbook-xsl-nons-${VERSION%m*}"
  cp -v -R doc/* "${ROOTDIR}/usr/share/doc/docbook-xsl-nons-${VERSION%m*}"

  cd .. && rm -rf "${NAME}-${VERSION%m*}"
}

INSTALL(){
  if [ ! -d /etc/xml ]; then 
    install -v -m755 -d /etc/xml
  fi

  if [ ! -f /etc/xml/catalog ]; then
    xmlcatalog --noout --create /etc/xml/catalog
  fi

  xmlcatalog --noout --add "rewriteSystem" \
           "http://cdn.docbook.org/release/xsl-nons/1.79.2" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-1.79.2" \
    /etc/xml/catalog

  xmlcatalog --noout --add "rewriteSystem" \
           "https://cdn.docbook.org/release/xsl-nons/1.79.2" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-1.79.2" \
    /etc/xml/catalog

  xmlcatalog --noout --add "rewriteURI" \
           "http://cdn.docbook.org/release/xsl-nons/1.79.2" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-1.79.2" \
    /etc/xml/catalog

  xmlcatalog --noout --add "rewriteURI" \
           "https://cdn.docbook.org/release/xsl-nons/1.79.2" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-1.79.2" \
    /etc/xml/catalog

  xmlcatalog --noout --add "rewriteSystem" \
           "http://cdn.docbook.org/release/xsl-nons/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-1.79.2" \
    /etc/xml/catalog

  xmlcatalog --noout --add "rewriteSystem" \
           "https://cdn.docbook.org/release/xsl-nons/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-1.79.2" \
    /etc/xml/catalog

  xmlcatalog --noout --add "rewriteURI" \
           "http://cdn.docbook.org/release/xsl-nons/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-1.79.2" \
    /etc/xml/catalog

  xmlcatalog --noout --add "rewriteURI" \
           "https://cdn.docbook.org/release/xsl-nons/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-1.79.2" \
    /etc/xml/catalog

  xmlcatalog --noout --add "rewriteSystem" \
           "http://docbook.sourceforge.net/release/xsl/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-1.79.2" \
    /etc/xml/catalog

  xmlcatalog --noout --add "rewriteURI" \
           "http://docbook.sourceforge.net/release/xsl/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-1.79.2" \
    /etc/xml/catalog
}
